# Uses of Enum
org.apache.zookeeper.Watcher.WatcherType

Packages that use Watcher.WatcherType
Package
Description
org.apache.zookeeper
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of Watcher.WatcherType in org.apache.zookeeper

Subclasses with type arguments of type Watcher.WatcherType in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`Watcher.WatcherType`
Enumeration of types of watchers
Methods in org.apache.zookeeper that return Watcher.WatcherType
Modifier and Type
Method
Description
`static Watcher.WatcherType`
Watcher.WatcherType.`fromInt(int intValue)`
`static Watcher.WatcherType`
Watcher.WatcherType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Watcher.WatcherType[]`
Watcher.WatcherType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper with parameters of type Watcher.WatcherType
Modifier and Type
Method
Description
`void`
ZooKeeper.`removeAllWatches(String path, Watcher.WatcherType watcherType, boolean local)`
For the given znode path, removes all the registered watchers of given watcherType.
`void`
ZooKeeper.`removeAllWatches(String path, Watcher.WatcherType watcherType, boolean local, AsyncCallback.VoidCallback cb, Object ctx)`
The asynchronous version of removeAllWatches.
`void`
ZooKeeper.`removeWatches(String path, Watcher watcher, Watcher.WatcherType watcherType, boolean local)`
For the given znode path, removes the specified watcher of given watcherType.
`void`
ZooKeeper.`removeWatches(String path, Watcher watcher, Watcher.WatcherType watcherType, boolean local, AsyncCallback.VoidCallback cb, Object ctx)`
The asynchronous version of removeWatches.
Constructors in org.apache.zookeeper with parameters of type Watcher.WatcherType
Modifier
Constructor
Description
``
`WatchDeregistration(String clientPath, Watcher watcher, Watcher.WatcherType watcherType, boolean local, org.apache.zookeeper.ZKWatchManager zkManager)`

## Uses of Watcher.WatcherType in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type Watcher.WatcherType
Modifier and Type
Method
Description
`boolean`
DataTree.`containsWatcher(String path, Watcher.WatcherType type, Watcher watcher)`
`boolean`
ZKDatabase.`containsWatcher(String path, Watcher.WatcherType type, Watcher watcher)`
Check whether the given watcher exists in datatree
`boolean`
DataTree.`removeWatch(String path, Watcher.WatcherType type, Watcher watcher)`
`boolean`
ZKDatabase.`removeWatch(String path, Watcher.WatcherType type, Watcher watcher)`
Remove watch from the datatree